<?php

namespace Drupal\crossword\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Checks that the file can be paresed as a crossword puzzle.
 *
 * @Constraint(
 *   id = "CrosswordFile",
 *   label = @Translation("Crossword File", context = "Validation"),
 *   type = "file"
 * )
 */
class CrosswordFile extends Constraint {

  /**
   * A message when there is no valid parser.
   *
   * @var string
   */
  public $noParser = 'That does not appear to be a supported Crossword Puzzle file format.';

  /**
   * {@inheritdoc}
   */
  public function validatedBy() {
    return '\Drupal\crossword\Plugin\Validation\Constraint\CrosswordFileValidator';
  }

}
